Subject: Re: [T2TRG] Localizable sentences for thing to thing communication

From: William_J_G Overington <[email-masked]>
Date: Sat, 1 Sep 2018 13:06:09 +0100 (BST)

Hi

This morning here in England an email arrived.

RFC 8428 on Sensor Measurement Lists (SenML) 

It is archived as follows.

https://mailarchive.ietf.org/arch/msg/ietf-announce/RajS2ToyW62V3EEGJU_YduOWQS8

That page is linked from the following page.

https://mailarchive.ietf.org/arch/browse/ietf-announce/

Reference: Jennings, C., Shelby, Z., Arkko, J., Keranen, A., and C. Bormann, "Sensor Measurement Lists (SenML)", RFC 8428, DOI 10.17487/RFC8428, August 2018, <https://www.rfc-editor.org/info/rfc8428>.

Interestingly in the RFC 8428 document there is an example of measuring temperature.

I also noticed the following, in section 1 of RFC 8428.

quote

There are many types of more complex measurements and measurements that this media type would not be suitable for.

end quote

So I am wondering whether the technique that I am suggesting is of no practical usefulness due to SenML being available, or whether the technique that I am suggesting could be useful in some situations.

https://mailarchive.ietf.org/arch/browse/t2trg/

Discussion is welcome please.

William Overington

Saturday 1 September 2018